=== debian/changelog ===
kdepim-addons (16.04.3-1) unstable; urgency=high

  [ Automatic packaging ]
  * Refresh patches

  [ Pino Toscano ]
  * autopkgtest: switch from oxygen5-icon-theme back to the canonical
    oxygen-icon-theme.

  [ Maximiliano Curia ]
  * Add upstream patches: get-rid-of-not-needed-div.patch and Do-not-allow-html-mail-to-use-css-that-only-should-b.patch
    (Closes: 814762)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 02 Aug 2016 14:12:16 +0200

kdepim-addons (16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 15:36:25 +0200

kdepim-addons (16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

  [ Maximiliano Curia ]
  * Add new patch: set_icontheme.diff

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Jul 2016 16:56:09 +0200

kdepim-addons (16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Initial release.
  * Add missing breaks/replaces
  * Add spambayes back (was in kdepim)
  * Add new upstream patch: upstream_add_copying_files.patch

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Jun 2016 23:37:08 +0200
