=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libkf5akonadi-dev (>= 4:5.2.0~),
               libkf5akonadinotes-dev (>= 5.2.0~),
               libkf5calendarsupport-dev (>= 5.2.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5eventviews-dev (>= 5.2.0~),
               libkf5gapi-dev (>= 4.72.0~),
               libkf5grantleetheme-dev (>= 5.2.0~),
               libkf5gravatar-dev (>= 5.2.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5incidenceeditor-dev (>= 5.2.0~),
               libkf5kaddressbookgrantlee-dev (>= 5.2.0~),
               libkf5khtml-dev (>= 5.19.0~),
               libkf5libkdepim-dev (>= 5.2.0~),
               libkf5libkleo-dev (>= 5.2.0~),
               libkf5mailcommon-dev (>= 4:5.2.0~),
               libkf5messagecomposer-dev (>= 5.2.0~),
               libkf5messagecore-dev (>= 5.2.0~),
               libkf5messagelist-dev (>= 5.2.0~),
               libkf5messageviewer-dev (>= 5.2.0~),
               libkf5pimcommon-dev (>= 5.2.0~),
               libkf5tnef-dev (>= 5.2.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-addons.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-addons.git

Package: kdepim-addons
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.04),
        korganizer (<= 4:16.04),
        libkf5messageviewer5 (<= 4:16.04),
        libkf5pimcommon5 (<= 4:16.04)
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.04),
          korganizer (<= 4:16.04),
          libkf5messageviewer5 (<= 4:16.04),
          libkf5pimcommon5 (<= 4:16.04)
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.
