## kdepim-addons 17.04.3

=== debian/changelog ===
kdepim-addons (17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add new build depend on libkf5mailimporter-dev

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Pick some qml dependencies from Neon
  * Update lintian overrides
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:32 +0100

kdepim-addons (16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * Remove upstream applied and defunct patches
  * New libqgpgme build dep
  * Build dep on libkf5kaddressbookimportexport-dev
  * Update lintian overrides for new sonames
  * New build dep on libkf5ksieve-dev
  * New upstream release (16.12.0)
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * New upstream release (16.12.1)
  * Increase build depend on libkgapi to version 5.3

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:28:15 +0100

kdepim-addons (16.04.3-1ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * Updating VCS to point to LaunchPad
  * Bumping some of the build deps

  [ Rik Mills ]
  * Build deps on libqt5webchannel-dev & libqt5webengine5-dev
  * Build deps on libkf5webengineviewer-dev, libkf5mimetreeparser-dev
    & libkf5declarative-dev
  * Lintian overrides for package-name-doesnt-match-sonames
  * Build dep on qtpositioning5-dev

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:33:22 +0200
