=== sieveeditor/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"sieveeditor_plugins\")
add_subdirectory(imapfoldercompletion)
add_subdirectory(regexeditorlineedit)
