=== examples/apps/CMakeLists.txt ===


add_subdirectory(etm_usage)
add_subdirectory(mailreader)
add_subdirectory(coisceim)
