=== kmail/editorplugins/CMakeLists.txt ===
--- 
+++ 
@@ -2,3 +2,5 @@
 add_subdirectory(insertspecialcharacter)
 add_subdirectory(changecase)
 add_subdirectory(zoomtext)
+add_subdirectory(nonbreakingspace)
+add_subdirectory(autocorrection)
