=== korganizer/plugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"korganizer_plugins\")
add_subdirectory(datenums)
#Comment it it depends against kdelibs4support
#add_subdirectory(hebrew)
add_subdirectory(picoftheday)
add_subdirectory(thisdayinhistory)
