=== debian/changelog ===
kdepim-addons (17.12.3-0ubuntu2) bionic; urgency=high

  * Fix memory leak caused by certain calendar events (LP: #1765900).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Apr 2018 23:52:33 -0500

kdepim-addons (17.12.3-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * New upstream release (17.12.3)

  [ José Manuel Santamaría Lema ]
  * Add missing Breaks/Replaces against libkf5contacteditor-data (<=
    4:17.12) (LP: #1753554)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:26:02 +0000

kdepim-addons (17.12.2-0ubuntu2) bionic; urgency=medium

  * Upstream tests have multiple failures on KDE CI. Skip the tests so
    we don't repeat the pain, and aim to fix with them.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 02 Mar 2018 08:51:28 +0000

kdepim-addons (17.12.2-0ubuntu1) bionic; urgency=medium

  * New build dep on libkf5prison-dev
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Drop upstream applied cherry-picked test fixes patch
  * Simplify local install, following debian
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:28 +0000

kdepim-addons (17.08.3-0ubuntu4) bionic; urgency=medium

  * Skip flaky tests on unsupported non-x86

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 08:49:47 +0000

kdepim-addons (17.08.3-0ubuntu3) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 19:44:15 +0100

kdepim-addons (17.08.3-0ubuntu2) bionic; urgency=medium

  * Cherry-pick upstream commits to fix autopkgtests.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 05 Dec 2017 20:56:10 -0600

kdepim-addons (17.08.3-0ubuntu1) bionic; urgency=medium

  * New build dependency on akonadi-import-wizard
  * New build dependency on libkf5templateparser-dev
  * New build depend on libkf5contacteditor-dev
  * akonadi-import-wizard dev files now in libkpimimportwizard-dev, so
    switch build dep to this
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:45 +0000
