## kdepim-addons 18.04.3

=== debian/changelog ===
kdepim-addons (18.04.3-0ubuntu1) cosmic; urgency=medium

  * Update lintian overrides
  * Build depend on poppler-qt
  * New build dep on libkf5holidays-dev
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * Drop upstream applied fix-memory-leak-with-calendar-events.patch
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:30 +0100
